export function RangeDataTypeValueEditor({ value, onChange, orientation, ...otherProps }: {
    [x: string]: any;
    value?: any[];
    onChange: any;
    orientation?: string;
}): React.JSX.Element;
export namespace RangeDataTypeValueEditor {
    namespace propTypes {
        let value: PropTypes.Requireable<any[]>;
        let onChange: PropTypes.Requireable<(...args: any[]) => any>;
        let fieldName: PropTypes.Requireable<string>;
        let orientation: PropTypes.Requireable<string>;
        let dataTypeDefinition: PropTypes.Requireable<object>;
        let classes: PropTypes.Requireable<object>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
